Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 562610

Summary: media-sound/clementine-9999: switch to Qt5 build
Product: Gentoo Linux Reporter: Alexander <alex>
Component: Current packagesAssignee: Fat-Zer <fatzer2>
Status: RESOLVED FIXED    
Severity: normal CC: arthurzam+gentoo, polynomial-c, powerman-asdf, proxy-maint, sound
Priority: Normal Keywords: EBUILD
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://bugs.gentoo.org/show_bug.cgi?id=562588
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on: 562588    
Bug Blocks: 588908, 631788    
Attachments: clementine-9999.ebuild
clementine-9999.ebuild
clementine-9999.ebuild.diff
clementine-9999.ebuild
diff with clementine-1.3.1-r6.ebuild
files/clementine-9999-fix-tokenizer.patch
clementine-9999.ebuild
clementine-9999.ebuild

Description Alexander 2015-10-09 02:25:10 UTC
Created attachment 414172 [details]
clementine-9999.ebuild

I am adding Qt5 support, needed for testing
Comment 1 Andreas Sturmlechner gentoo-dev 2016-05-01 09:28:05 UTC
Thanks for your work! When you submit changes, then please always attach a unified diff against the original ebuild so your changes can be reviewed.
Comment 2 Alexander 2016-05-01 15:47:18 UTC
Created attachment 432848 [details]
clementine-9999.ebuild

Fix and attach it again.
Comment 3 Alexander 2016-05-01 15:48:59 UTC
Created attachment 432850 [details, diff]
clementine-9999.ebuild.diff

Fix and attach it again.
Comment 4 Alex Efros 2017-03-14 19:05:26 UTC
I've updated ebuild for 9999 to match current ebuild for 1.3.1-r6 and tested it with qt5 - at a glance it works fine. Patch needs to be fixed too. I'll attach new ebuild, ebuild diff and new patch.

Clementine was the last one Qt4 app on my system! :)
Comment 5 Alex Efros 2017-03-14 19:06:33 UTC
Created attachment 467030 [details]
clementine-9999.ebuild
Comment 6 Alex Efros 2017-03-14 19:07:51 UTC
Created attachment 467032 [details, diff]
diff with clementine-1.3.1-r6.ebuild
Comment 7 Alex Efros 2017-03-14 19:08:39 UTC
Created attachment 467034 [details, diff]
files/clementine-9999-fix-tokenizer.patch
Comment 8 Michael Palimaka (kensington) gentoo-dev 2017-03-18 06:34:56 UTC
Comment on attachment 467032 [details, diff]
diff with clementine-1.3.1-r6.ebuild

>+	# If qtchooser is installed, it may break the build, because moc,rcc and uic binaries for wrong qt version may be used.
>+	# Setting QT_SELECT environment variable will enforce correct binaries.
>+	if use qt4; then
>+		export QT_SELECT=qt4
>+	elif use qt5; then
>+		export QT_SELECT=qt5
>+		ewarn "Please note that Qt5 support is still experimental."
>+		ewarn "If you find anything to not work with Qt5, please report a bug."
>+		ewarn "«Work (slowly) in progress.»© https://github.com/clementine-player/Clementine/issues/3463#issuecomment-90714420"
>+	fi

Any idea of which/where binaries are called directly? We can patch the build system to use the correct version directly instead of relying on qtchooser.
Comment 9 Alex Efros 2017-03-18 09:17:18 UTC
(In reply to Michael Palimaka (kensington) from comment #8)
> Any idea of which/where binaries are called directly? We can patch the build
> system to use the correct version directly instead of relying on qtchooser.

No, I've just copy&paste this from previous ebuild by Alexander.

I can't test this on my system because I've no Qt4 anymore.
Comment 10 Fat-Zer 2017-03-18 10:25:09 UTC
I want to postpone this a bit more: I'll try to push fix-tokenizer to upstream, so not to clutter the live version with one more patch...

As for QT_SELECT stuff, I suspect it's redundant due to cmake should handle it on its own...

Problems with the current ebuild are:
- this fix-tokenizer patch won't apply to master branch..
- -DENABLE_VK=OFF is redundant for live
- Dependencies should be verified one more time.
Comment 11 Alex Efros 2017-03-23 23:28:00 UTC
Created attachment 468110 [details]
clementine-9999.ebuild

Drop media-libs/libechonest dependency because of bug 587972 (current repo master already removed related code, no patches needed).

P.S. If you excuse me I'll be a bit lazy and won't upload updated ebuild diff.
Comment 12 Alex Efros 2017-04-03 17:32:03 UTC
Created attachment 469046 [details]
clementine-9999.ebuild

Drop dev-libs/qjson dependency - it doesn't used by current clementine, at least with USE=qt5 (I didn't tried to build clementine with USE=qt4 without this dependency). This is important because dev-libs/qjson require a couple of qt4 libs, so should be either removed or moved to qt4-only deps block in ebuild.
Comment 13 Andreas Sturmlechner gentoo-dev 2017-11-18 23:49:52 UTC
Rather than adding Qt5 support, it should entirely replace Qt4 at this point.
Comment 14 Larry the Git Cow gentoo-dev 2017-11-19 15:09:48 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f36c3c321d5e383adbfb2ed448ad1e9d1f598179

commit f36c3c321d5e383adbfb2ed448ad1e9d1f598179
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2017-11-19 12:39:38 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2017-11-19 15:09:08 +0000

    media-sound/clementine: Switch 9999 to qt5
    
    Forward-port fts3-tokenizer fix to qt5 branch.
    Add patch to properly find linguist-tools for lconvert.
    
    Closes: https://bugs.gentoo.org/562610
    Package-Manager: Portage-2.3.14, Repoman-2.3.6

 media-sound/clementine/clementine-9999.ebuild      | 47 ++++++++++++++++------
 .../files/clementine-fts3-tokenizer.patch          | 36 +++++++++++++++++
 .../clementine/files/clementine-qt5-lconvert.patch | 28 +++++++++++++
 3 files changed, 98 insertions(+), 13 deletions(-)